Subject: Re: git push from client is not updating files on server

From: Neal Kreitzinger <[email-masked]>
Date: Tue, 06 Mar 2012 15:21:51 -0600

On 3/6/2012 3:12 PM, Neal Kreitzinger wrote:
> On 3/6/2012 10:52 AM, Jerome Yanga wrote:
>>
>> However, when I log into the central public Git server and look at
>> the files in the project, none of them have change. I can only see
>> the changes from the client via Gitweb.
>>
> Gitweb and gitk know how to look at .git (bare) repo and display the
> contents. (I use gitk to verify that a push did what I wanted.) There is
> no work-tree for a .git repo to do linux "ls" on. If you really want to
> use commandline you would have to use git commands like git-show,
> git-ls-files, git-cat-file, git-log, etc., to display and interrogate
> the contents of git objects (tags, commits, trees, blobs) in a .git repo.

scratch git-ls-files from that list.  Its not much use for bare repos, 
either.

v/r,
neal